'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.toGraphQL = toGraphQL;

var _sequelize = require('sequelize');

var _sequelize2 = _interopRequireDefault(_sequelize);

var _graphql = require('graphql');

function toGraphQL(sequelizeType) {
  if (sequelizeType instanceof _sequelize2['default'].INTEGER) {
    return _graphql.GraphQLInt;
  } else if (sequelizeType instanceof _sequelize2['default'].STRING || sequelizeType instanceof _sequelize2['default'].UUID || sequelizeType instanceof _sequelize2['default'].DATE) {
    return _graphql.GraphQLString;
  } else {
    throw new Error('Unable to convert ' + sequelizeType.toSql() + ' to a GraphQL type');
  }
}